"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useDimensions = useDimensions;

var _react = require("react");

var _reactNative = require("react-native");

function useDimensions() {
  const [dimensions, setDimensions] = (0, _react.useState)(_reactNative.Dimensions.get("window"));

  const onChange = ({
    window
  }) => {
    setDimensions(window);
  };

  (0, _react.useEffect)(() => {
    const subscription = _reactNative.Dimensions.addEventListener("change", onChange);

    return () => {
      // @ts-expect-error - React Native >= 0.65
      if (typeof (subscription === null || subscription === void 0 ? void 0 : subscription.remove) === "function") {
        // @ts-expect-error
        subscription.remove();
      } else {
        // React Native < 0.65
        _reactNative.Dimensions.removeEventListener("change", onChange);
      }
    };
  }, []);
  return dimensions;
}
//# sourceMappingURL=useDimensions.js.map